## linux 4.19.282

=== debian/changelog ===
linux (4.19.282-1) buster-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.270
    - mm/khugepaged: fix GUP-fast interaction by sending IPI
    - mm/khugepaged: invoke MMU notifiers in shmem/file collapse paths
    - block: unhash blkdev part inode when the part is deleted
    - nfp: fix use-after-free in area_cache_get() (CVE-2022-3545)
    - ASoC: ops: Check bounds for second channel in snd_soc_put_volsw_sx()
    - can: sja1000: fix size of OCR_MODE_MASK define
    - can: mcba_usb: Fix termination command argument
    - ASoC: ops: Correct bounds check for second channel on SX controls
    - udf: Discard preallocation before extending file with a hole
    - udf: Fix preallocation discarding at indirect extent boundary
    - udf: Do not bother looking for prealloc extents if i_lenExtents matches
      i_size
    - udf: Fix extending file within last block
    - usb: gadget: uvc: Prevent buffer overflow in setup handler
    - USB: serial: option: add Quectel EM05-G modem
    - USB: serial: cp210x: add Kamstrup RF sniffer PIDs
    - USB: serial: f81534: fix division by zero on line-speed change
    - igb: Initialize mailbox message for VF reset
    - Bluetooth: L2CAP: Fix u8 overflow (CVE-2022-45934)
    - net: loopback: use NET_NAME_PREDICTABLE for name_assign_type
    - [arm*] usb: musb: remove extra check in musb_gadget_vbus_draw
    - [armhf] soc: ti: smartreflex: Fix PM disable depth imbalance in
      omap_sr_probe
    - [armhf] dts: dove: Fix assigned-addresses for every PCIe Root Port
    - [armhf] dts: armada-370: Fix assigned-addresses for every PCIe Root Port
    - [armhf] dts: armada-xp: Fix assigned-addresses for every PCIe Root Port
    - [armhf] dts: armada-375: Fix assigned-addresses for every PCIe Root Port
    - [armhf] dts: armada-38x: Fix assigned-addresses for every PCIe Root Port
    - [armhf] dts: armada-39x: Fix assigned-addresses for every PCIe Root Port
    - [armhf] dts: turris-omnia: Add ethernet aliases
    - [armhf] dts: turris-omnia: Add switch port 6 node
    - pstore/ram: Fix error return code in ramoops_probe()
    - pstore: Avoid kcore oops by vmap()ing with VM_IOREMAP
    - [x86] tpm/tpm_crb: Fix error message in __crb_relinquish_locality()
    - [arm64] cpuidle: dt: Return the correct numbers of parsed idle states
    - fs: don't audit the capability check in simple_xattr_list()
    - selftests/ftrace: event_triggers: wait longer for test_event_enable
    - perf: Fix possible memleak in pmu_dev_alloc()
    - timerqueue: Use rb_entry_safe() in timerqueue_getnext()
    - ocfs2: fix memory leak in ocfs2_stack_glue_init()
    - PNP: fix name memory leak in pnp_alloc_dev()
    - [x86] perf/x86/intel/uncore: Fix reference count leak in
      hswep_has_limit_sbox() (regression in 4.19.189)
    - [x86] cpufreq: amd_freq_sensitivity: Add missing pci_dev_put()
    - lib/notifier-error-inject: fix error when writing -errno to debugfs file
    - debugfs: fix error when writing negative value to atomic_t debugfs file
      (regression in 4.19.160)
    - ACPICA: Fix use-after-free in acpi_ut_copy_ipackage_to_ipackage()
    - [x86] uprobes/x86: Allow to probe a NOP instruction with 0x66 prefix
    - [x86] xen/events: only register debug interrupt for 2-level events
    - [x86] xen: Fix memory leak in xen_smp_intr_init{_pv}()
    - [x86] xen: Fix memory leak in xen_init_lock_cpu()
    - xen/privcmd: Fix a possible warning in privcmd_ioctl_mmap_resource()
    - PM: runtime: Improve path in rpm_idle() when no callback
    - PM: runtime: Do not call __rpm_callback() from rpm_idle()
    - [x86] platform/x86: mxm-wmi: fix memleak in mxm_wmi_call_mx[ds|mx]()
    - fs: sysv: Fix sysv_nblocks() returns wrong value
    - relay: fix type mismatch when allocating memory in relay_create_buf()
    - hfs: Fix OOB Write in hfs_asc2mac
    - wifi: ath9k: hif_usb: fix memory leak of urbs in
      ath9k_hif_usb_dealloc_tx_urbs() (regression in 4.19.154)
    - wifi: ath9k: hif_usb: Fix use-after-free in ath9k_hif_usb_reg_in_cb()
    - wifi: rtl8xxxu: Fix reading the vendor of combo chips
    - can: kvaser_usb: do not increase tx statistics when sending error message
      frames
    - can: kvaser_usb: kvaser_usb_leaf: Get capabilities from device
    - can: kvaser_usb: kvaser_usb_leaf: Rename {leaf,usbcan}_cmd_error_event to
      {leaf,usbcan}_cmd_can_error_event
    - can: kvaser_usb: kvaser_usb_leaf: Handle CMD_ERROR_EVENT
    - can: kvaser_usb_leaf: Set Warning state even without bus errors
    - can: kvaser_usb_leaf: Fix improved state not being reported
    - can: kvaser_usb_leaf: Fix wrong CAN state after stopping
    - can: kvaser_usb_leaf: Fix bogus restart events
    - can: kvaser_usb: Add struct kvaser_usb_busparams
    - can: kvaser_usb: Compare requested bittiming parameters with actual
      parameters in do_set_{,data}_bittiming
    - media: vivid: fix compose size exceed boundary
    - mtd: Fix device name leak when register device failed in add_mtd_device()
    - wifi: rsi: Fix handling of 802.3 EAPOL frames sent via control port
    - drm/radeon: Add the missed acpi_put_table() to fix memory leak
    - regulator: core: fix unbalanced of node refcount in
      regulator_dev_lookup()
    - wifi: ath10k: Fix return value in ath10k_pci_init()
    - [arm64] Input: elants_i2c - properly handle the reset GPIO when power is
      off
    - media: solo6x10: fix possible memory leak in solo_sysfs_init()
    - HID: hid-sensor-custom: set fixed size for custom attributes
    - bonding: Export skip slave logic to function
    - media: imon: fix a race condition in send_packet()
    - pinctrl: pinconf-generic: add missing of_node_put()
    - media: dvb-core: Fix ignored return value in dvb_register_frontend()
    - media: dvb-usb: az6027: fix null-ptr-deref in az6027_i2c_xfer()
      (CVE-2023-28328)
    - [arm*] drm/tegra: Add missing clk_disable_unprepare() in tegra_dc_probe()


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper (>= 10.1~), dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kernel-wedge (>= 2.99~) <!stage1 !pkg.linux.nokernel>, kmod <!stage1 !pkg.linux.nokernel>, bc <!stage1 !pkg.linux.nokernel>, libssl-dev:native <!stage1 !pkg.linux.nokernel>, libssl-dev <!stage1 !pkg.linux.notools>, openssl (>= 1.1.0-1~) <!stage1 !pkg.linux.nokernel>, libelf-dev:native [amd64] <!stage1 !pkg.linux.nokernel>, libelf-dev <!stage1 !pkg.linux.notools>, gcc-8 [alpha arm64 armel armhf hppa ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64] <!stage1 !cross !pkg.linux.nokernel>, gcc-8-alpha-linux-gnu [alpha] <!stage1 cross !pkg.linux.nokernel>, gcc-8 (>= 8-20180123-1~) [amd64 i386] <!stage1 !cross !pkg.linux.nokernel>, gcc-8-x86-64-linux-gnu (>= 8-20180123-1~) [amd64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-aarch64-linux-gnu [arm64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-arm-linux-gnueabi [armel] <!stage1 cross !pkg.linux.nokernel>, gcc-8-arm-linux-gnueabihf [armhf] <!stage1 cross !pkg.linux.nokernel>, gcc-8-hppa-linux-gnu [hppa] <!stage1 cross !pkg.linux.nokernel>, binutils-hppa64-linux-gnu [hppa] <!stage1 !pkg.linux.nokernel>, gcc-8-hppa64-linux-gnu [hppa] <!stage1 !pkg.linux.nokernel>, gcc-8-i686-linux-gnu (>= 8-20180123-1~) [i386] <!stage1 cross !pkg.linux.nokernel>, gcc-8-ia64-linux-gnu [ia64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-m68k-linux-gnu [m68k] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mips-linux-gnu [mips] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mips64-linux-gnuabi64 [mips64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mips64el-linux-gnuabi64 [mips64el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa64r6-linux-gnuabi64 [mips64r6] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsel-linux-gnu [mipsel] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa32r6-linux-gnu [mipsr6] <!stage1 cross !pkg.linux.nokernel>, gcc-8-mipsisa32r6el-linux-gnu [mipsr6el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc-linux-gnu [powerpc] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc-linux-gnuspe [powerpcspe] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc64-linux-gnu [ppc64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-powerpc64le-linux-gnu [ppc64el] <!stage1 cross !pkg.linux.nokernel>, gcc-8-riscv64-linux-gnu [riscv64] <!stage1 cross !pkg.linux.nokernel>, gcc-8-s390x-linux-gnu [s390x] <!stage1 cross !pkg.linux.nokernel>, gcc-8-sh4-linux-gnu [sh4] <!stage1 cross !pkg.linux.nokernel>, gcc-8-sparc64-linux-gnu [sparc64] <!stage1 cross !pkg.linux.nokernel>, libpci-dev [linux-any] <!stage1 !pkg.linux.notools>, autoconf [linux-any] <!stage1 !pkg.linux.notools>, automake [linux-any] <!stage1 !pkg.linux.notools>, libtool [linux-any] <!stage1 !pkg.linux.notools>, libglib2.0-dev [linux-any] <!stage1 !pkg.linux.notools>, libudev-dev [linux-any] <!stage1 !pkg.linux.notools>, libwrap0-dev [linux-any] <!stage1 !pkg.linux.notools>, rsync [linux-any] <!stage1 !pkg.linux.notools>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !nodoc !pkg.linux.notools !nopython>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.3-2~) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython> | libbabeltrace-ctf-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libiberty-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!stage1 !pkg.linux.notools !nopython>, libopencsd-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, python3-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>
Build-Depends-Indep: graphviz <!stage1 !nodoc>, python3-sphinx <!stage1 !nodoc>, python3-sphinx-rtd-theme <!stage1 !nodoc>, texlive-latex-base <!stage1 !nodoc>, texlive-latex-extra <!stage1 !nodoc>, dvipng <!stage1 !nodoc>, patchutils <!stage1 !pkg.linux.nosource>
Homepage: https://www.kernel.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-4.19.0-24
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.19
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-4.19
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.19
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.19.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.19/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-cpupower
Architecture: linux-any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU power management tools for Linux
 The cpupower command allows inspection and control of cpufreq and cpuidle
 tunables for hardware that support these features.  It replaces
 "cpufreq-info" and "cpufreq-set" in cpufrequtils.
 .
 ${cpupower:Arch-Description}
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 This package contains the shared library.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Provides: libcpufreq-dev
Depends: ${misc:Depends}, libcpupower1 (= ${binary:Version})
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 This package contains the 'power/cpupower' headers and library shared
 objects.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: usbip
Architecture: linux-any
Section: admin
Depends: usbutils, ${shlibs:Depends}, ${misc:Depends}
Description: USB device sharing system over IP network
 USB/IP is a system for sharing USB devices over the network.
 .
 To share USB devices between computers with their full functionality,
 USB/IP encapsulates "USB requests" into IP packets and transmits them
 between computers.
 .
 Original USB device drivers and applications can be used for remote USB
 devices without any modification of them.  A computer can use remote USB
 devices as if they were directly attached.
 .
 Currently USB/IP provides no access control or encryption.  It should only
 be used in trusted environments.
 .
 This package provides the server component 'usbipd' and the client tool
 'usbip'.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: hyperv-daemons
Architecture: amd64 i386 x32
Section: admin
Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_fcopy_daemon, hv_kvp_daemon and hv_vss_daemon.
 .
 hv_fcopy_daemon provides the file copy service, allowing the host to copy
 files into the guest.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libbpf4.19
Architecture: alpha amd64 arm64 arm64ilp32 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sh3 sh4 sparc sparc64 x32
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: eBPF helper library (shared library)
 libbpf is a library for loading eBPF programs and reading and manipulating
 eBPF objects from user-space.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: same

Package: libbpf-dev
Architecture: alpha amd64 arm64 arm64ilp32 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sh3 sh4 sparc sparc64 x32
Section: libdevel
Depends: ${misc:Depends}, libbpf4.19 (= ${binary:Version})
Description: eBPF helper library (development files)
 libbpf is a library for loading eBPF programs and reading and manipulating
 eBPF objects from user-space.
Build-Profiles: <!stage1 !pkg.linux.notools>

=== debian/tests/control ===
Tests: python
Depends: python3, pycodestyle, pyflakes3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.19.0-24-alpha-generic [alpha], linux-image-4.19.0-24-alpha-smp [alpha], linux-image-4.19.0-24-amd64-unsigned [amd64], linux-image-4.19.0-24-cloud-amd64-unsigned [amd64], linux-image-4.19.0-24-rt-amd64-unsigned [amd64], linux-image-4.19.0-24-arm64-unsigned [arm64], linux-image-4.19.0-24-rt-arm64-unsigned [arm64], linux-image-4.19.0-24-marvell [armel], linux-image-4.19.0-24-rpi [armel], linux-image-4.19.0-24-armmp [armhf], linux-image-4.19.0-24-armmp-lpae [armhf], linux-image-4.19.0-24-rt-armmp [armhf], linux-image-4.19.0-24-parisc [hppa], linux-image-4.19.0-24-parisc-smp [hppa], linux-image-4.19.0-24-parisc64-smp [hppa], linux-image-4.19.0-24-686-unsigned [i386], linux-image-4.19.0-24-686-pae-unsigned [i386], linux-image-4.19.0-24-rt-686-pae-unsigned [i386], linux-image-4.19.0-24-itanium [ia64], linux-image-4.19.0-24-mckinley [ia64], linux-image-4.19.0-24-m68k [m68k], linux-image-4.19.0-24-4kc-malta [mips mipsel], linux-image-4.19.0-24-5kc-malta [mips mips64 mips64el mipsel], linux-image-4.19.0-24-octeon [mips mips64 mips64el mipsel], linux-image-4.19.0-24-loongson-3 [mips64el mipsel], linux-image-4.19.0-24-mips64r6 [mips64r6 mipsr6], linux-image-4.19.0-24-mips64r6el [mips64r6el mipsr6el], linux-image-4.19.0-24-mips32r6 [mipsr6], linux-image-4.19.0-24-mips32r6el [mipsr6el], linux-image-4.19.0-24-powerpc [powerpc], linux-image-4.19.0-24-powerpc-smp [powerpc], linux-image-4.19.0-24-powerpc64 [powerpc ppc64], linux-image-4.19.0-24-powerpcspe [powerpcspe], linux-image-4.19.0-24-powerpc64le [ppc64el], linux-image-4.19.0-24-riscv64 [riscv64], linux-image-4.19.0-24-s390x [s390x], linux-image-4.19.0-24-sh7751r [sh4], linux-image-4.19.0-24-sh7785lcr [sh4], linux-image-4.19.0-24-sparc64 [sparc64], linux-image-4.19.0-24-sparc64-smp [sparc64]
Classes: smp

## linux 4.19.289

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 4
PATCHLEVEL = 19
SUBLEVEL = 289
EXTRAVERSION =
NAME = "People's Front"

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# That's our default target when none is given on the command line
PHONY := _all
_all:

# o Do not use make's built-in rules and variables
#   (this increases performance and avoids hard-to-debug behaviour);
# o Look for make include files relative to root of kernel src
MAKEFLAGS += -rR --include-dir=$(CURDIR)

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands
# make-4.0 (and later) keep single letter options in the 1st word of MAKEFLAGS.

ifeq ($(filter 3.%,$(MAKE_VERSION)),)
silence:=$(findstring s,$(firstword -$(MAKEFLAGS)))
else
silence:=$(findstring s,$(filter-out --%,$(MAKEFLAGS)))
endif

ifeq ($(silence),s)
quiet=silent_
tools_silent=s
endif

export quiet Q KBUILD_VERBOSE

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# KBUILD_SRC is not intended to be used by the regular user (for now),
# it is set on invocation of make with KBUILD_OUTPUT or O= specified.
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(words $(subst :, ,$(CURDIR))), 1)
  $(error main directory cannot contain spaces nor colons)
endif

ifneq ($(KBUILD_OUTPUT),)
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
sub-make:
	$(Q)$(MAKE) -C $(KBUILD_OUTPUT) KBUILD_SRC=$(CURDIR) \
	-f $(CURDIR)/Makefile $(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif

export KBUILD_CHECKSRC KBUILD_EXTMOD KBUILD_SRC

objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h
old_version_h := include/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg
no-sync-config-targets := $(no-dot-config-targets) install %install \
			   kernelrelease

config-targets  := 0
mixed-targets   := 0
dot-config      := 1
may-sync-config := 1

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
		dot-config := 0
	endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
		may-sync-config := 0
	endif
endif

ifneq ($(KBUILD_EXTMOD),)
	may-sync-config := 0
endif

ifeq ($(KBUILD_EXTMOD),)
        ifneq ($(filter config %config,$(MAKECMDGOALS)),)
                config-targets := 1
                ifneq ($(words $(MAKECMDGOALS)),1)
                        mixed-targets := 1
                endif
        endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
        ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
                mixed-targets := 1
        endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
        ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
	        mixed-targets := 1
        endif
endif

ifeq ($(mixed-targets),1)
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(filter-out __build_one_by_one, $(MAKECMDGOALS)): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else

# We need some generic definitions (do not try to remake the file).
scripts/Kbuild.include: ;
include scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOST_LFS_CFLAGS := $(shell getconf LFS_CFLAGS 2>/dev/null)
HOST_LFS_LDFLAGS := $(shell getconf LFS_LDFLAGS 2>/dev/null)
HOST_LFS_LIBS := $(shell getconf LFS_LIBS 2>/dev/null)

ifneq ($(LLVM),)
HOSTCC	= clang
HOSTCXX	= clang++
else
HOSTCC	= gcc
HOSTCXX	= g++
endif
KBUILD_HOSTCFLAGS   := -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 \
		-fomit-frame-pointer -std=gnu89 $(HOST_LFS_CFLAGS) \
		$(HOSTCFLAGS)
KBUILD_HOSTCXXFLAGS := -O2 $(HOST_LFS_CFLAGS) $(HOSTCXXFLAGS)
KBUILD_HOSTLDFLAGS  := $(HOST_LFS_LDFLAGS) $(HOSTLDFLAGS)
KBUILD_HOSTLDLIBS   := $(HOST_LFS_LIBS) $(HOSTLDLIBS)

# Make variables (CC, etc...)
CPP		= $(CC) -E
ifneq ($(LLVM),)
CC		= clang
LD		= ld.lld
AR		= llvm-ar
NM		= llvm-nm
OBJCOPY		= llvm-objcopy
OBJDUMP		= llvm-objdump
READELF		= llvm-readelf
OBJSIZE		= llvm-size
STRIP		= llvm-strip

=== drivers/atm/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the Linux network (ATM) device drivers.
#

fore_200e-y	:= fore200e.o

obj-$(CONFIG_ATM_ZATM)		+= zatm.o uPD98402.o
obj-$(CONFIG_ATM_NICSTAR)	+= nicstar.o
obj-$(CONFIG_ATM_AMBASSADOR)	+= ambassador.o
obj-$(CONFIG_ATM_HORIZON)	+= horizon.o
obj-$(CONFIG_ATM_IA)		+= iphase.o suni.o
obj-$(CONFIG_ATM_FORE200E)	+= fore_200e.o
obj-$(CONFIG_ATM_ENI)		+= eni.o suni.o
obj-$(CONFIG_ATM_IDT77252)	+= idt77252.o
obj-$(CONFIG_ATM_SOLOS)		+= solos-pci.o

ifeq ($(CONFIG_ATM_NICSTAR_USE_SUNI),y)
  obj-$(CONFIG_ATM_NICSTAR)	+= suni.o
endif
ifeq ($(CONFIG_ATM_NICSTAR_USE_IDT77105),y)
  obj-$(CONFIG_ATM_NICSTAR)	+= idt77105.o
endif
ifeq ($(CONFIG_ATM_IDT77252_USE_SUNI),y)
  obj-$(CONFIG_ATM_IDT77252)	+= suni.o
endif

obj-$(CONFIG_ATM_DUMMY)		+= adummy.o
obj-$(CONFIG_ATM_TCP)		+= atmtcp.o
obj-$(CONFIG_ATM_FIRESTREAM)	+= firestream.o
obj-$(CONFIG_ATM_LANAI)		+= lanai.o

obj-$(CONFIG_ATM_HE)		+= he.o
ifeq ($(CONFIG_ATM_HE_USE_SUNI),y)
  obj-$(CONFIG_ATM_HE)		+= suni.o
endif

=== drivers/fsi/Makefile ===

obj-$(CONFIG_FSI) += fsi-core.o
obj-$(CONFIG_FSI_MASTER_HUB) += fsi-master-hub.o
obj-$(CONFIG_FSI_MASTER_GPIO) += fsi-master-gpio.o
obj-$(CONFIG_FSI_MASTER_AST_CF) += fsi-master-ast-cf.o
obj-$(CONFIG_FSI_SCOM) += fsi-scom.o
obj-$(CONFIG_FSI_SBEFIFO) += fsi-sbefifo.o

=== drivers/gpu/drm/qxl/Makefile ===
#
# Makefile for the drm device driver.  This driver provides support for the
# Direct Rendering Infrastructure (DRI) in XFree86 4.1.0 and higher.

qxl-y := qxl_drv.o qxl_kms.o qxl_display.o qxl_ttm.o qxl_fb.o qxl_object.o qxl_gem.o qxl_cmd.o qxl_image.o qxl_draw.o qxl_debugfs.o qxl_irq.o qxl_dumb.o qxl_ioctl.o qxl_release.o qxl_prime.o

obj-$(CONFIG_DRM_QXL)+= qxl.o

=== tools/testing/selftests/watchdog/Makefile ===
# SPDX-License-Identifier: GPL-2.0
TEST_GEN_PROGS := watchdog-test

include ../lib.mk

=== arch/mips/boot/dts/ralink/Makefile ===
# SPDX-License-Identifier: GPL-2.0
dtb-$(CONFIG_DTB_RT2880_EVAL)	+= rt2880_eval.dtb
dtb-$(CONFIG_DTB_RT305X_EVAL)	+= rt3052_eval.dtb
dtb-$(CONFIG_DTB_RT3883_EVAL)	+= rt3883_eval.dtb
dtb-$(CONFIG_DTB_MT7620A_EVAL)	+= mt7620a_eval.dtb
dtb-$(CONFIG_DTB_OMEGA2P)	+= omega2p.dtb
dtb-$(CONFIG_DTB_VOCORE2)	+= vocore2.dtb

obj-$(CONFIG_BUILTIN_DTB)	+= $(addsuffix .o, $(dtb-y))

=== arch/sh/kernel/cpu/sh3/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the Linux/SuperH SH-3 backends.
#

obj-y	:= ex.o probe.o entry.o setup-sh3.o

obj-$(CONFIG_HIBERNATION)		+= swsusp.o

# CPU subtype setup
obj-$(CONFIG_CPU_SUBTYPE_SH7705)	+= setup-sh7705.o serial-sh770x.o
obj-$(CONFIG_CPU_SUBTYPE_SH7706)	+= setup-sh770x.o serial-sh770x.o
obj-$(CONFIG_CPU_SUBTYPE_SH7707)	+= setup-sh770x.o serial-sh770x.o
obj-$(CONFIG_CPU_SUBTYPE_SH7708)	+= setup-sh770x.o serial-sh770x.o
obj-$(CONFIG_CPU_SUBTYPE_SH7709)	+= setup-sh770x.o serial-sh770x.o
obj-$(CONFIG_CPU_SUBTYPE_SH7710)	+= setup-sh7710.o serial-sh7710.o
obj-$(CONFIG_CPU_SUBTYPE_SH7712)	+= setup-sh7710.o serial-sh7710.o
obj-$(CONFIG_CPU_SUBTYPE_SH7720)	+= setup-sh7720.o serial-sh7720.o
obj-$(CONFIG_CPU_SUBTYPE_SH7721)	+= setup-sh7720.o serial-sh7720.o

# Primary on-chip clocks (common)
clock-$(CONFIG_CPU_SH3)			:= clock-sh3.o
clock-$(CONFIG_CPU_SUBTYPE_SH7705)	:= clock-sh7705.o
clock-$(CONFIG_CPU_SUBTYPE_SH7706)	:= clock-sh7706.o
clock-$(CONFIG_CPU_SUBTYPE_SH7709)	:= clock-sh7709.o
clock-$(CONFIG_CPU_SUBTYPE_SH7710)	:= clock-sh7710.o
clock-$(CONFIG_CPU_SUBTYPE_SH7720)	:= clock-sh7710.o
clock-$(CONFIG_CPU_SUBTYPE_SH7712)	:= clock-sh7712.o

# Pinmux setup
pinmux-$(CONFIG_CPU_SUBTYPE_SH7720)	:= pinmux-sh7720.o

obj-y	+= $(clock-y)
obj-$(CONFIG_GPIOLIB)			+= $(pinmux-y)

=== debian/changelog ===
linux (4.19.289-2) buster-security; urgency=high

  * [x86] Add mitigations for Gather Data Sampling (GDS) (CVE-2022-40982)
    - init: Provide arch_cpu_finalize_init()
    - x86/cpu: Switch to arch_cpu_finalize_init()
    - ARM: cpu: Switch to arch_cpu_finalize_init()
    - init: Remove check_bugs() leftovers
    - init: Invoke arch_cpu_finalize_init() earlier
    - init, x86: Move mem_encrypt_init() into arch_cpu_finalize_init()
    - x86/fpu: Remove cpuinfo argument from init functions
    - x86/fpu: Mark init functions __init
    - x86/fpu: Move FPU initialization into arch_cpu_finalize_init()
    - x86/speculation: Add Gather Data Sampling mitigation
    - x86/speculation: Add force option to GDS mitigation
    - x86/speculation: Add Kconfig option for GDS
    - KVM: Add GDS_NO support to KVM
    - x86/xen: Fix secondary processors' FPU initialization
    - Documentation/x86: Fix backwards on/off logic about YMM support
  * [x86] cpu: Avoid ABI change for GDS mitigations

 -- Ben Hutchings <benh@debian.org>  Tue, 08 Aug 2023 04:35:25 +0200

linux (4.19.289-1) buster-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.283
    - wifi: brcmfmac: slab-out-of-bounds read in brcmf_get_assoc_ies()
      (CVE-2023-1380)
    - bluetooth: Perform careful capability checks in hci_sock_ioctl()
      (CVE-2023-2002)
    - USB: serial: option: add UNISOC vendor and TOZED LT70C product
    - [x86] ASoC: Intel: bytcr_rt5640: Add quirk for the Acer Iconia One 7
      B1-750
    - [arm*] stmmac: debugfs entry name is not be changed when udev rename
      device name.
    - [arm*] USB: dwc3: fix runtime pm imbalance on unbind
    - debugfs: regset32: Add Runtime PM support
    - xhci: fix debugfs register accesses while suspended
    - [arm*] pwm: meson: Fix axg ao mux parents
    - ring-buffer: Sync IRQ works before buffer destruction
    - reiserfs: Add security prefix to xattr name in reiserfs_security_write()
    - [x86] KVM: nVMX: Emulate NOPs in L2, and PAUSE if it's not intercepted
    - [armhf] i2c: omap: Fix standard mode false ACK readings
    - Revert "ubifs: dirty_cow_znode: Fix memleak in error handling path"
      (regression in 4.19.276)
    - ubifs: Fix memleak when insert_old_idx() failed
    - ubi: Fix return value overwrite issue in try_write_vid_and_data()
    - ubifs: Free memory for tmpfile name
    - [arm*] drm/rockchip: Drop unbalanced obj unref
    - drm/vgem: add missing mutex_destroy
    - drm/probe-helper: Cancel previous job before starting new one
    - [amd64] EDAC, skx: Move debugfs node under EDAC's hierarchy
    - [amd64] EDAC/skx: Fix overflows on the DRAM row address mapping arrays
    - media: av7110: prevent underflow in write_ts_to_decoder()
    - [arm64] firmware: qcom_scm: Clear download bit during reboot
    - [arm64] drm/msm/adreno: Defer enabling runpm until hw_init()
    - [arm64] drm/msm/adreno: drop bogus pm_runtime_set_active()
    - [x86] apic: Fix atomic update of offset in reserve_eilvt_offset()
    - media: dm1105: Fix use after free bug in dm1105_remove due to race
      condition (CVE-2023-35824)
    - media: saa7134: fix use after free bug in saa7134_finidev due to race
      condition (CVE-2023-35823)
    - [armhf] media: rc: gpio-ir-recv: Fix support for wake-up
    - [x86] ioapic: Don't return 0 from arch_dynirq_lower_bound()
    - wifi: ath9k: hif_usb: fix memory leak of remain_skbs
    - wifi: ath5k: fix an off by one check in ath5k_eeprom_read_freq_list()
    - wifi: ath6kl: reduce WARN to dev_dbg() in callback
    - scm: fix MSG_CTRUNC setting condition for SO_PASSSEC
    - vlan: partially enable SIOCSHWTSTAMP in container
    - net/packet: convert po->origdev to an atomic flag
    - net/packet: convert po->auxdata to an atomic flag
    - scsi: target: iscsit: Fix TAS handling during conn cleanup (regression in
      4.19.161)
    - scsi: megaraid: Fix mega_cmd_done() CMDID_INT_CMDS
    - rtlwifi: rtl_pci: Fix memory leak when hardware init fails
    - wifi: rtlwifi: fix incorrect error codes in rtl_debugfs_set_write_rfreg()
    - wifi: rtlwifi: fix incorrect error codes in rtl_debugfs_set_write_reg()
    - crypto: drbg - make drbg_prepare_hrng() handle jent instantiation errors
    - crypto: drbg - Only fail when jent is unavailable in FIPS mode
    - md/raid10: fix leak of 'r10bio->remaining' for recovery
    - md/raid10: fix memleak for 'conf->bio_split'
    - md: update the optimal I/O size on reshape
    - md/raid10: fix memleak of md thread
    - wifi: iwlwifi: make the loop for card preparation effective
    - wifi: iwlwifi: mvm: check firmware response size
    - ixgbe: Allow flow hash to be set via ethtool
    - ixgbe: Enable setting RSS table to default values
    - netfilter: nf_tables: don't write table validation state without mutex
    - ipv4: Fix potential uninit variable access bug in __ip_make_skb()
    - Revert "Bluetooth: btsdio: fix use after free bug in btsdio_remove due to
      unfinished work" (regression in 4.19.280)
    - netlink: Use copy_to_user() for optval in netlink_getsockopt().
    - [x86] net: amd: Fix link leak when verifying config failed
    - tcp/udp: Fix memleaks of sk and zerocopy skbs with TX timestamp.
    - pstore: Revert pmsg_lock back to a normal mutex (regression in 4.19.270)
    - [arm64] spi: qup: fix PM reference leak in spi_qup_remove()
    - [arm64] spi: qup: Don't skip cleanup in remove's error path
    - [x86] vmci_host: fix a race condition in vmci_host_poll() causing GPF
    - [arm*] of: Fix modalias string generation
    - [arm*] usb: chipidea: fix missing goto in `ci_hdrc_probe`
    - serial: 8250: Add missing wakeup event reporting
    - [x86] staging: rtl8192e: Fix W_DISABLE# does not work after stop/start
    - [arm64] spmi: Add a check for remove callback when removing a SPMI driver
    - perf/core: Fix hardlockup failure caused by perf throttle
    - RDMA/mlx4: Prevent shift wrapping in set_user_sq_size()


=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/kernel-team/linux
 Vcs-Git: https://salsa.debian.org/kernel-team/linux.git
 
-Package: linux-support-4.19.0-24
+Package: linux-support-4.19.0-25
 Architecture: all
 Section: devel
 Depends: ${python3:Depends}, ${misc:Depends}

=== debian/tests/control ===
Tests: python
Depends: python3, pycodestyle, pyflakes3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.19.0-25-alpha-generic [alpha], linux-image-4.19.0-25-alpha-smp [alpha], linux-image-4.19.0-25-amd64-unsigned [amd64], linux-image-4.19.0-25-cloud-amd64-unsigned [amd64], linux-image-4.19.0-25-rt-amd64-unsigned [amd64], linux-image-4.19.0-25-arm64-unsigned [arm64], linux-image-4.19.0-25-rt-arm64-unsigned [arm64], linux-image-4.19.0-25-marvell [armel], linux-image-4.19.0-25-rpi [armel], linux-image-4.19.0-25-armmp [armhf], linux-image-4.19.0-25-armmp-lpae [armhf], linux-image-4.19.0-25-rt-armmp [armhf], linux-image-4.19.0-25-parisc [hppa], linux-image-4.19.0-25-parisc-smp [hppa], linux-image-4.19.0-25-parisc64-smp [hppa], linux-image-4.19.0-25-686-unsigned [i386], linux-image-4.19.0-25-686-pae-unsigned [i386], linux-image-4.19.0-25-rt-686-pae-unsigned [i386], linux-image-4.19.0-25-itanium [ia64], linux-image-4.19.0-25-mckinley [ia64], linux-image-4.19.0-25-m68k [m68k], linux-image-4.19.0-25-4kc-malta [mips mipsel], linux-image-4.19.0-25-5kc-malta [mips mips64 mips64el mipsel], linux-image-4.19.0-25-octeon [mips mips64 mips64el mipsel], linux-image-4.19.0-25-loongson-3 [mips64el mipsel], linux-image-4.19.0-25-mips64r6 [mips64r6 mipsr6], linux-image-4.19.0-25-mips64r6el [mips64r6el mipsr6el], linux-image-4.19.0-25-mips32r6 [mipsr6], linux-image-4.19.0-25-mips32r6el [mipsr6el], linux-image-4.19.0-25-powerpc [powerpc], linux-image-4.19.0-25-powerpc-smp [powerpc], linux-image-4.19.0-25-powerpc64 [powerpc ppc64], linux-image-4.19.0-25-powerpcspe [powerpcspe], linux-image-4.19.0-25-powerpc64le [ppc64el], linux-image-4.19.0-25-riscv64 [riscv64], linux-image-4.19.0-25-s390x [s390x], linux-image-4.19.0-25-sh7751r [sh4], linux-image-4.19.0-25-sh7785lcr [sh4], linux-image-4.19.0-25-sparc64 [sparc64], linux-image-4.19.0-25-sparc64-smp [sparc64]
Classes: smp
